




@include media-breakpoint-up(lg) {
  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    z-index: 2;
    height: get($header-config, default, height, desktop);
    transition: left get($aside-config, transition-speed) ease;

    
    .header-fixed & {
      position: fixed;
      top: 0;
      right: 0;
      left: 0;
      z-index: get($header-config, fixed, z-index);
      background-color: get($header-config, fixed, bg-color);
      box-shadow: get($header-config, fixed, box-shadow);
      height: get($header-config, fixed, height, desktop);
      padding: 0;
    }

    
    .header-fixed.toolbar-fixed & {
      box-shadow: none;
    }

    
    .aside-enabled.aside-fixed.header-fixed & {
      left: get($aside-config, width);
      transition: left get($aside-config, transition-speed) ease;
    }

    
    .aside-enabled.aside-fixed.header-fixed[data-kt-aside-minimize='on'] & {
      left: get($aside-config, minimized-width);
      transition: left get($aside-config, transition-speed) ease;
    }

    
    .header-menu {
      display: flex;
    }
  }
}


@include media-breakpoint-down(lg) {
  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: get($header-config, default, height, tablet-and-mobile);
    position: relative;
    z-index: 3;

    
    .header-tablet-and-mobile-fixed & {
      position: fixed;
      top: 0;
      right: 0;
      left: 0;
      z-index: get($header-config, fixed, z-index);
      height: get($header-config, fixed, height, tablet-and-mobile);
      min-height: get($header-config, fixed, height, tablet-and-mobile);
      background-color: get($header-config, fixed, bg-color);
      box-shadow: get($header-config, fixed, box-shadow);
    }

    
    .header-tablet-and-mobile-fixed.toolbar-tablet-and-mobile-fixed & {
      box-shadow: none;
    }

    
    .header-menu {
      display: none;
      z-index: get($header-config, fixed, z-index) - 1;
    }

    
    .page-title {
      display: none !important;
    }
  }
}
